=== debian/changelog ===
goxkcdpwgen (0.0~git20181107.de898c7-3ubuntu0.22.04.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 16:14:16 +0000

goxkcdpwgen (0.0~git20181107.de898c7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:26:36 +0100

goxkcdpwgen (0.0~git20181107.de898c7-2) unstable; urgency=medium

  * Team upload.
  * Include source files in the package to be used as a library.
  * Bump Debhelper compatibility to 12.
  * Bump Standards-Version to 4.4.1.

 -- Balasankar C <balasankarc@debian.org>  Thu, 16 Jan 2020 23:38:13 +0530

goxkcdpwgen (0.0~git20181107.de898c7-1) unstable; urgency=medium

  [ Karthika Shanthini, Shree Dhanya ]
  * Initial release (Closes: #926076)

 -- Shree Dhanya <dhanyathailappan@gmail.com>  Mon, 01 Apr 2019 16:57:14 +0530
