=== debian/control ===
Source: goxkcdpwgen
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shree Dhanya <dhanyathailappan@gmail.com>,
           Karthika Shanthini <karthikashanthini@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Homepage: https://github.com/martinhoefling/goxkcdpwgen
Vcs-Browser: https://salsa.debian.org/go-team/packages/goxkcdpwgen
Vcs-Git: https://salsa.debian.org/go-team/packages/goxkcdpwgen.git
XS-Go-Import-Path: github.com/martinhoefling/goxkcdpwgen
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: goxkcdpwgen
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: xkcd style password generator library and cli tool
 goxkcdpwgen xkcd style is a password generator library. It also supports
 word lists in non English languages.
 .
 Sample execution
 $ goxkcdpwgen -c -d "" -n 5
 VocalistDurableGauntletBluishReputable
